Skip to content

Create a task for requesting key parameters content.

Request

Creates a new instance of the asynchronous task for requesting key parameters content. The user must be a member of the project to be able to request key parameters content.

Security
bearer and appkey
Path
projectIdstringrequired

Identifier of the project.

Headers
slb-data-partition-idstringrequired

Data partition ID.

Bodyapplication/jsonrequired
callbackobject(Callback)

The callback definition.

Example:
{ "uri": "https://example.com/callback", "headers": { "Authorization": "Bearer your_token_here", "Custom-Header": "custom_value" } }
plan_idstringrequired

The plan query.

Example:"c40a4a24176a7f6ea7edd"
languagestring

The language tag according to BCP47 standard. Project language is used if it is not specified.

Example:"En-en"
unit_systemstring

The unit system. Project unit system is used if it is not specified.

key_parametersArray of objects(RequestedKeyParameter)required

The list of the requested key parameters.

Example:
[ { "key_parameter_id": "well-name", "level_id": "d973c00e4d64f5ddb1231" } ]
curl -i -X POST \
  'https://eu-api.delfi.slb.com/drillplan/ddis/v1/projects/{projectId}/key-parameters/content/requests' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string' \
  -d '{
    "callback": {
      "uri": "https://example.com/callback",
      "headers": {
        "Authorization": "Bearer your_token_here",
        "Custom-Header": "custom_value"
      }
    },
    "plan_id": "c40a4a24176a7f6ea7edd",
    "language": "En-en",
    "unit-system": "English",
    "key_parameters": [
      {
        "key_parameter_id": "well-name",
        "level_id": "d973c00e4d64f5ddb1231"
      }
    ]
  }'

Responses

Success

Bodyapplication/json
idstringrequired

The task ID.

Example:"c40a4a24176a7f6ea7edd"
project_idstring

The project ID.

Example:"21322abc123def12001ef"
statusstring(TaskStatus)required

Represents the current stage in the lifecycle of a Task.

Enum:"Created""Published""Running""Succeeded""Canceled""Faulted"
Example:"succeeded"
is_completedbooleanrequired

Indicates whether the task has completed.

Example:true
problemobject(ProblemDetails)

Problem details according to RFC7807.

artifactsobject

Artifacts of the task.

Example:
{ "export_id": "d973c00e4d64f5ddb" }
Response
{ "id": "c40a4a24176a7f6ea7edd", "project_id": "21322abc123def12001ef", "status": "succeeded", "is_completed": true, "artifacts": { "export_id": "d973c00e4d64f5ddb" } }